### Method

# Ggit BlobOutputStream get_id

#### Declaration [src]

    GgitOId*
    ggit_blob_output_stream_get_id (
      GgitBlobOutputStream* stream
      GError** error
    )

#### Description [src]

Get the id of the written blob. The blob id is only available after the stream has been properly closed. If an error occurred while writing the blob, the `NULL` is returned and `error` is set accordingly.

#### Return value

Type: `GgitOId`

A `GgitOId` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.